nfsidmap(8)

NOM
nfsidmap - Le programme d'appel NFS ascendant de idmapper

SYNOPSIS
nfsidmap [-v] [-t attente] clé desc
nfsidmap [-v] [-c]
nfsidmap [-v] [-u|-g|-r utilisateur]
nfsidmap -d
nfsidmap -l
nfsidmap -h

DESCRIPTION
Le protocole NFSv4 représentes les valeurs d'UID et de GID locaux du système sur le réseau comme des chaînes sous le format utilisateur@domaine. Le processus de transformation de l'UID en chaîne et de chaîne en UID est appelé « mappage d'ID ».

Le système dérive la partie utilisateur de la chaîne en effectuant une recherche mot de passe ou de groupe. Le mécanisme de recherche est configuré dans le fichier /etc/idmapd.conf.

Par défaut, la partie domaine de la chaîne est le nom de domaine DNS du système. Elle peut aussi être indiquée dans /etc/idmapd.conf si le système possède plusieurs fournisseurs d’accès (multihoming) ou si le nom de domaine DNS du système ne correspond pas au nom de domaine Kerberos du système.

Quand le domaine n’est pas précisé dans /etc/idmapd.conf, le serveur DNS local sera interrogé pour l’enregistrement textuel de _nfsv4idmapdomain . Si l’enregistrement existe, il sera utilisé comme domaine. S’il n’existe pas, la partie domaine du domaine DNS sera utilisée.

The /usr/sbin/nfsidmap program performs translations on behalf of the kernel. The kernel uses the request-key mechanism to perform an upcall. /usr/sbin/nfsidmap is invoked by /sbin/request-key, performs the translation, and initializes a key with the resulting information. The kernel then caches the translation results in the key.

nfsidmap can also clear cached ID map results in the kernel, or revoke one particular key. An incorrect cached key can result in file and directory ownership reverting to "nobody" on NFSv4 mount points.

In addition, the -d and -l options are available to help diagnose misconfigurations. They have no effect on the keyring containing ID mapping results.

OPTIONS

-c  Effacer le trousseau contenant toutes les clés.

-d  Afficher le nom de dommaine NFSv4 effectif du système sur la sortie standard (stdout)

-g utilisateur
    Révoquer la clé identifiant de groupe (GID) de l'utilisateur donné.

-h  Afficher un message d'utilisation.

-l  Display on stdout all keys currently in the keyring used to cache ID mapping results. These keys are visible only to the superuser.

-r utilisateur
    Révoquer simultanément les clés utilisateur (UID) et groupe (GID) pour l'utilisateur donné.

-t attente
    Déterminer la durée (en seconde) avant expiration de la clé. La valeur par défaut est 600 secondes (soit 10 minutes).

-u utilisateur
    Révoquer la clé identifiant utilisateur (UID) de l'utilisateur donné.

-v  Augmenter le niveau de verbosité de la sortie vers le journal système (peut être demandée plusieurs fois).

CONFIGURATION
Le fichier /etc/request-key.conf doit être modifié pour que /sbin/request-key puisse diriger correctement l'appel. La ligne suivante doit être ajouté avant un appel à keyctl :

create    id_resolver    *    *    /usr/sbin/nfsidmap -t 600 %k %d

Cela dirigera toutes les demandes id_resolver vers le programme /usr/sbin/nfsidmap. Le -t 600 définit le nombre de secondes avant l'expiration de la clé. C'est un paramètre facultatif pour /usr/sbin/nfsidmap qui est par défaut à 600 secondes quand il n'est pas indiqué.

Le système idmapper utilise quatre clés de description :

  uid : Trouve l'UID d'un utilisateur donné
  gid : Trouve le GID d'un groupe donné
  user : Trouve le nom d'utilisateur pour un UID donné
  group : Trouve le nom de groupe pour un GID donné

Vous pouvez choisir de traiter l'une ou l'autre individuellement, plutôt que d'utiliser le programme d'appel ascendant générique. Si vous souhaitez utiliser votre propre programme pour une recherche UID alors vous pouvez modifier votre request-key.conf pour qu'il ressemble à ceci:

create    id_resolver    uid:*    *    /un/autre/programme %k %d
create    id_resolver    *    *    /usr/sbin/nfsidmap %k %d

Notez que la nouvelle ligne a été ajoutée au-dessus de la ligne d'appel du programme générique. Request-key trouvera la première ligne correspondant et exécutera le programme correspondant. Dans ce cas, /un/autre/programme se chargera de toutes les recherches d'UID, et /usr/sbin/nfsidmap gérera les recherches de gid, d'utilisateur et du groupe.

FICHIERS

/etc/idmapd.conf
    Fichier de configuration du mappage d'ID

/etc/request-key.conf
    Fichier de configuration des clés de requête.

VOIR AUSSI
idmapd.conf(5), request-key(8)

AUTEUR
Bryan Schumaker, <bjschuma@netapp.com>

TRADUCTION
La traduction française de cette page de manuel a été créée par Valéry Perrin <valery.perrin.debian@free.fr>, Sylvain Cherrier <sylvain.cherrier@free.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Dominique Simen <dominiquesimen@hotmail.com>, Nicolas Sauzède <nsauzede@free.fr>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Denis Mugnier <myou72@orange.fr>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.